EngineConfiguration (Axis API)
Keywords: org.apache.axis.EngineConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface EngineConfiguration

All Known Subinterfaces:
  WSDDEngineConfiguration

All Known Implementing Classes:
  DirProvider, FileProvider, NullProvider, SimpleProvider, WSDDDeployment

public interface EngineConfiguration

EngineConfiguration is an interface that the Message Flow subsystem provides so that engine configuration can be provided in a pluggable way. An instance of EngineConfiguration provides configuration for a particular engine instance.

Concrete implementations of this interface will obtain configuration information from some source (examples might be files, Strings, or databases) and are responsible for writing it into an AxisEngine, and writing an AxisEngine's state back out to whatever storage medium is in use.

Author:
  Glyn Normington (glyn@apache.org), Glen Daniels (gdaniels@apache.org)

Field Summary
`static java.lang.String` | `PROPERTY_NAME` Property name used for setting an EngineConfiguration to be used in creating engines.

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`java.util.Iterator` | `getDeployedServices()` Get an enumeration of the services deployed to this engine.
`java.util.Hashtable` | `getGlobalOptions()` Returns the global configuration options.
`Handler` | `getGlobalRequest()` Returns a global request handler.
`Handler` | `getGlobalResponse()` Returns a global response handler.
`Handler` | `getHandler(QName qname)` Retrieve an instance of the named handler.
`java.util.List` | `getRoles()` Get a list of roles that this engine plays globally.
`SOAPService` | `getService(QName qname)` Retrieve an instance of the named service.
`SOAPService` | `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace.
`Handler` | `getTransport(QName qname)` Retrieve an instance of the named transport.
`TypeMappingRegistry` | `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine.
`void` | `writeEngineConfig(AxisEngine engine)` Read the configuration from an engine, and store it somehow.

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

  Property name used for setting an EngineConfiguration to be used in creating engines.

  See Also:
    Constant Field Values

Method Detail

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Configure this AxisEngine using whatever data source we have.

  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Read the configuration from an engine, and store it somehow.

  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getHandler

    public Handler getHandler(QName qname)
                       throws ConfigurationException

  Retrieve an instance of the named handler.

  Parameters:
    `qname` - the `QName` identifying the `Handler`
  Returns:
    the `Handler` associated with `qname`
  Throws:
    `ConfigurationException` - if there was a failure in resolving `qname`

### getService

    public SOAPService getService(QName qname)
                           throws ConfigurationException

  Retrieve an instance of the named service.

  Parameters:
    `qname` - the `QName` identifying the `Service`
  Returns:
    the `Service` associated with `qname`
  Throws:
    `ConfigurationException` - if there was an error resolving the qname

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Get a service which has been mapped to a particular namespace.

  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
  Throws:
    `ConfigurationException` - if there was an error resolving the namespace

### getTransport

    public Handler getTransport(QName qname)
                         throws ConfigurationException

  Retrieve an instance of the named transport.

  Parameters:
    `qname` - the `QName` of the transport
  Returns:
    a `Handler` implementing the transport
  Throws:
    `ConfigurationException` - if there was an error resolving the transport

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Retrieve the TypeMappingRegistry for this engine.

  Returns:
    the type mapping registry
  Throws:
    `ConfigurationException` - if there was an error resolving the registry

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Returns a global request handler.

  Returns:
    the `Handler` that globally handles requests
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Returns a global response handler.

  Returns:
    the `Handler` that globally handles responses
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Returns the global configuration options.

  Returns:
    the global options as a `Hashtable`
  Throws:
    `ConfigurationException` - if the global options could not be returned

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine. Each service is represented as `ServiceDesc` object.

  Returns:
    an `Iterator` over the `ServiceDesc` objects
  Throws:
    `ConfigurationException` - if the deployed services could not be returned
  See Also:
    `ServiceDesc`

### getRoles

    public java.util.List getRoles()

  Get a list of roles that this engine plays globally. Services within the engine configuration may also add additional roles.

  Returns:
    a `List` of the roles for this engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.